Subject: bug#17229: [PATCH 2/2] grep: speed-up by using memchr() in Boyer-Moore searching

From: Norihiro Tanaka <[email-masked]>
Date: Fri, 11 Apr 2014 08:59:41 +0900

Paul Eggert wrote:
> sometimes the former is more important than the latter, and this may be one of those times.

I also like simple, and I don't like so much platform specific optimization.

However, I confirmed 10% speed-up with wikipedia database and the simple
word `Wikipedia'.  I think that 10% speed-up cannot ignorable on most
frequently used platform and in most simple and frequently used usage.

$ env LANG=C time -p src/grep Wikipedia pages-articles.xml

http://dumps.wikimedia.org/jawiki/latest/

Norihiro